/*
 * @Author: wrh
 * @Date: 2024-04-19 09:22:00
 * @LastEditors: wrh
 * @LastEditTime: 2024-04-24 14:16:38
 */
import request from '@/utils/request'

// 查询cmc项目合同列表
export function listProjectContract(query) {
  return request({
    url: '/oa/projectContract/list',
    method: 'get',
    params: query
  })
}

// 查询cmc项目合同详细
export function getProjectContract(projectId) {
  return request({
    url: '/oa/projectContract/' + projectId,
    method: 'get'
  })
}

// 新增cmc项目合同
export function addProjectContract(data) {
  return request({
    url: '/oa/projectContract',
    method: 'post',
    data: data
  })
}

// 修改cmc项目合同
export function updateProjectContract(data) {
  return request({
    url: '/oa/projectContract',
    method: 'put',
    data: data
  })
}

// 删除cmc项目合同
export function delProjectContract(projectId) {
  return request({
    url: '/oa/projectContract/' + projectId,
    method: 'delete'
  })
}
